Replace model metadata, provider bindings, pricing, and access atomically
PUT
/api/inference/models/{id}/configuration
const url = 'https://gateway.example.com/api/inference/models/550e8400-e29b-41d4-a716-446655440000/configuration';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"model":{"publicId":"example","displayName":"example","contextWindow":1,"maxInputTokens":1,"maxOutputTokens":null,"autoCompactTokenLimit":1,"modalities":["example"],"capabilities":{"additionalProperty":true},"reasoningEfforts":["example"],"defaultReasoningEffort":"example","defaultAccessAllowed":true,"subscriptionMultiplier":1},"sources":[{"connectionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","discoveredModelId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","upstreamModelId":"example","enabled":true,"subscriptionMultiplierOverride":1,"reasoningEffortMap":{"additionalProperty":"example"},"capabilitiesOverride":"example","manualMetadata":{"contextWindow":1,"maxInputTokens":1,"maxOutputTokens":1,"autoCompactTokenLimit":1},"pricing":{"version":"example","inputMicrodollarsPerMillion":1,"cachedInputMicrodollarsPerMillion":1,"cacheWriteMicrodollarsPerMillion":1,"outputMicrodollarsPerMillion":1,"reasoningMicrodollarsPerMillion":1,"otherUnitPrices":{"additionalProperty":1},"source":"provider"}}],"access":{"mode":"everyone","subjects":[]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gateway.example.com/api/inference/models/550e8400-e29b-41d4-a716-446655440000/configuration \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": { "publicId": "example", "displayName": "example", "contextWindow": 1, "maxInputTokens": 1, "maxOutputTokens": null, "autoCompactTokenLimit": 1, "modalities": [ "example" ], "capabilities": { "additionalProperty": true }, "reasoningEfforts": [ "example" ], "defaultReasoningEffort": "example", "defaultAccessAllowed": true, "subscriptionMultiplier": 1 }, "sources": [ { "connectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "discoveredModelId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "upstreamModelId": "example", "enabled": true, "subscriptionMultiplierOverride": 1, "reasoningEffortMap": { "additionalProperty": "example" }, "capabilitiesOverride": "example", "manualMetadata": { "contextWindow": 1, "maxInputTokens": 1, "maxOutputTokens": 1, "autoCompactTokenLimit": 1 }, "pricing": { "version": "example", "inputMicrodollarsPerMillion": 1, "cachedInputMicrodollarsPerMillion": 1, "cacheWriteMicrodollarsPerMillion": 1, "outputMicrodollarsPerMillion": 1, "reasoningMicrodollarsPerMillion": 1, "otherUnitPrices": { "additionalProperty": 1 }, "source": "provider" } } ], "access": { "mode": "everyone", "subjects": [] } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Example
550e8400-e29b-41d4-a716-446655440000Request Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
model
required
object
publicId
required
string
displayName
required
string
contextWindow
required
integer
maxInputTokens
required
integer
maxOutputTokens
integer | null
autoCompactTokenLimit
required
integer
modalities
required
Array<string>
capabilities
required
object
key
additional properties
boolean
reasoningEfforts
required
Array<string>
defaultReasoningEffort
string | null
defaultAccessAllowed
required
boolean
subscriptionMultiplier
required
number
sources
required
Array<object>
object
connectionId
required
string format: uuid
discoveredModelId
string format: uuid
upstreamModelId
string
enabled
boolean
subscriptionMultiplierOverride
number | null
reasoningEffortMap
required
object
key
additional properties
string
capabilitiesOverride
object | null
manualMetadata
object
contextWindow
integer
maxInputTokens
integer
maxOutputTokens
integer
autoCompactTokenLimit
integer
pricing
object
version
required
string
inputMicrodollarsPerMillion
required
integer
cachedInputMicrodollarsPerMillion
integer | null
cacheWriteMicrodollarsPerMillion
integer | null
outputMicrodollarsPerMillion
required
integer
reasoningMicrodollarsPerMillion
integer | null
otherUnitPrices
object
key
additional properties
integer
source
required
string
access
required
object
mode
required
string
subjects
Array<object>
object
subjectType
required
string
subjectId
required
string format: uuid
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
key
additional properties
Example
{ "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Example resource", "createdAt": "2024-01-01T12:00:00.000Z", "updatedAt": "2024-01-01T12:30:00.000Z" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}